
From: Hirokazu Takata <takata@linux-m32r.org>

- Add #ifdef __KERNEL__
- Change __inline__ to inline for __KERNEL__ portion.
- Remove RCS ID string.

Signed-off-by: Hirokazu Takata <takata@linux-m32r.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-m32r/pgtable-2level.h |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

diff -puN include/asm-m32r/pgtable-2level.h~m32r-clean-up include/asm-m32r/pgtable-2level.h
--- 25/include/asm-m32r/pgtable-2level.h~m32r-clean-up	Fri Dec 17 15:00:50 2004
+++ 25-akpm/include/asm-m32r/pgtable-2level.h	Fri Dec 17 15:00:50 2004
@@ -1,7 +1,7 @@
 #ifndef _ASM_M32R_PGTABLE_2LEVEL_H
 #define _ASM_M32R_PGTABLE_2LEVEL_H
 
-/* $Id$ */
+#ifdef __KERNEL__
 
 #include <linux/config.h>
 
@@ -33,9 +33,9 @@
  * setup: the pgd is never bad, and a pmd always exists (as it's folded
  * into the pgd entry)
  */
-static __inline__ int pgd_none(pgd_t pgd)	{ return 0; }
-static __inline__ int pgd_bad(pgd_t pgd)	{ return 0; }
-static __inline__ int pgd_present(pgd_t pgd)	{ return 1; }
+static inline int pgd_none(pgd_t pgd)	{ return 0; }
+static inline int pgd_bad(pgd_t pgd)	{ return 0; }
+static inline int pgd_present(pgd_t pgd)	{ return 1; }
 #define pgd_clear(xp)				do { } while (0)
 
 /*
@@ -55,7 +55,7 @@ static __inline__ int pgd_present(pgd_t 
 #define pgd_page(pgd) \
 ((unsigned long) __va(pgd_val(pgd) & PAGE_MASK))
 
-static __inline__ pmd_t *pmd_offset(pgd_t * dir, unsigned long address)
+static inline pmd_t *pmd_offset(pgd_t * dir, unsigned long address)
 {
 	return (pmd_t *) dir;
 }
@@ -72,4 +72,6 @@ static __inline__ pmd_t *pmd_offset(pgd_
 #define pte_to_pgoff(pte)	(((pte_val(pte) >> 2) & 0xef) | (((pte_val(pte) >> 10)) << 7))
 #define pgoff_to_pte(off)	((pte_t) { (((off) & 0xef) << 2) | (((off) >> 7) << 10) | _PAGE_FILE })
 
+#endif /* __KERNEL__ */
+
 #endif /* _ASM_M32R_PGTABLE_2LEVEL_H */
_
